package com.redxun.knowledge.mapper;

import com.redxun.common.base.db.BaseDao;
import com.redxun.knowledge.entity.dao.ActionLog;
import com.redxun.knowledge.entity.vo.ActionLogVo;
import org.apache.ibatis.annotations.MapKey;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

/**
 * 文件名: ActionLogMapper
 * 作者: Zizg
 * 时间: 2023/1/10
 * 描述:
 * 修改人:
 * 修改时间:
 * 修改内容:
 */
@Mapper
public interface ActionLogMapper extends BaseDao<ActionLog> {

    // 查询浏览量
    List<ActionLogVo> countViews(Integer type);

    // 清除浏览量
    void deleteCountViews(Integer type);
}
